// 新闻
import router from "@/router/index";
// 跳转新闻详情
export const goToNewsPage = (id, tabName) => {
  window.sessionStorage.setItem("curTabName", tabName);
  const param = {
    newsId: id
  }
  const jsonStr = JSON.stringify(param);
  const base64 = btoa(encodeURIComponent(jsonStr));
  const route = router.resolve({
    path: "/newsAnalysis",
    query: {
      data: base64
    }
  });
  window.open(route.href, "_blank");
}